Bug 853493 - Review Request: gcal - The GNU Gregorian calendar program
Review Request: gcal - The GNU Gregorian calendar program
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 14:01 EDT by Matthew Miller
Modified: 2012-09-01 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-01 10:10:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2012-08-31 14:01:45 EDT
Spec URL:  http://mattdm.org/misc/fedora/gcal.spec
SRPM URL: http://mattdm.org/misc/fedora/gcal-3.6-2.fc16.mattdm.src.rpm

Description:

GCal is the GNU command-line calendar program. It is somewhat more powerful than the `cal` program found in util-linux, including international holidays, phase of moon, and sunrise/sunset info.
Comment 1 Michael Scherer 2012-09-01 07:21:57 EDT
A few issues :
- there seems to be small part of glibc embedded into lib/
for example lib/regex.c. that's not good and IMHO, should be discussed
with upstream ( and I count that as blocker, for the non bundled library
policy )

- code is using gnulib, lack a bundled(gnulib). This is a exception
to the policy, but I am not sure everything in lib is part of gnulib.

- code seems to be under gplv3 or later, so the license tag is
wrong, and doc is under FDL, so should be reflected in license tag as
well.

- there is still stuff that are not needed unless on EPEL5, and i think it
is usually cleaner to remove them.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[!]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f %{name}.lang section. This is OK
     if packaging for EPEL5. Otherwise not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "GPL (v3 or later)" For detailed output of licensecheck see file:
     /home/misc/checkout/git/FedoraReview/853493-gcal/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 122880 bytes in 8 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1996800 bytes in /usr/share 1996800
     gcal-3.6-2.fc17.x86_64.rpm

Issues:
=======
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: (this test has no URL)
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f %{name}.lang section. This is OK
     if packaging for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: Package contains no bundled libraries.
     Contains part of the glibc and use gnulib 
     https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Copylibs
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "GPL (v3 or later)" For detailed output of licensecheck see file:
     /home/misc/checkout/git/FedoraReview/853493-gcal/licensecheck.txt
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5


Rpmlint
-------
Checking: gcal-3.6-2.fc17.src.rpm
          gcal-debuginfo-3.6-2.fc17.x86_64.rpm
          gcal-3.6-2.fc17.x86_64.rpm
gcal.src: W: invalid-url URL: http://www.gnu.org/software/gcal/ timed out
gcal.src: W: invalid-url Source0: http://ftp.gnu.org/gnu/gcal/gcal-3.6.tar.xz timed out
gcal-debuginfo.x86_64: W: invalid-url URL: http://www.gnu.org/software/gcal/ timed out
gcal.x86_64: W: invalid-url URL: http://www.gnu.org/software/gcal/ timed out
gcal.x86_64: W: no-manual-page-for-binary gcal
gcal.x86_64: W: no-manual-page-for-binary txt2gcal
gcal.x86_64: W: no-manual-page-for-binary tcal
gcal.x86_64: W: no-manual-page-for-binary gcal2txt
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gcal gcal-debuginfo
gcal.x86_64: W: invalid-url URL: http://www.gnu.org/software/gcal/ timed out
gcal.x86_64: W: no-manual-page-for-binary gcal
gcal.x86_64: W: no-manual-page-for-binary txt2gcal
gcal.x86_64: W: no-manual-page-for-binary tcal
gcal.x86_64: W: no-manual-page-for-binary gcal2txt
gcal-debuginfo.x86_64: W: invalid-url URL: http://www.gnu.org/software/gcal/ timed out
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
gcal-debuginfo-3.6-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

gcal-3.6-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    info  
    libc.so.6()(64bit)  
    libm.so.6()(64bit)  
    libncurses.so.5()(64bit)  
    libtinfo.so.5()(64bit)  
    rtld(GNU_HASH)  



Provides
--------
gcal-debuginfo-3.6-2.fc17.x86_64.rpm:
    
    gcal-debuginfo = 3.6-2.fc17
    gcal-debuginfo(x86-64) = 3.6-2.fc17

gcal-3.6-2.fc17.x86_64.rpm:
    
    gcal = 3.6-2.fc17
    gcal(x86-64) = 3.6-2.fc17



MD5-sum check
-------------


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 853493
Comment 2 Michael Scherer 2012-09-01 10:10:45 EDT
Mhh, already in Fedora : https://admin.fedoraproject.org/pkgdb/acls/name/gcal
Comment 3 Matthew Miller 2012-09-01 11:26:40 EDT
Wait, really? I swear I checked. That's what I get for doing things in the
middle of the conference. Sorry about that!!!
Comment 4 Matthew Miller 2012-09-01 14:22:27 EDT
My package has a few things that that one is missing, so I'll get my fixes merged. Thanks again for the review.
Comment 5 Michael Scherer 2012-09-01 19:35:57 EDT
No problem, this gave me the idea for one more check for fedora-review, and i didn't check either in fact before doing the review ( in fact, i only noticed becure packagekit offered me to update it ).

However, the issue of shipping part of the glibc in lib is still true, could you investigate if that's related to gnulib or not ?
Comment 6 Matthew Miller 2012-09-01 19:57:10 EDT
Yeah, I'll take a look.

Note You need to log in before you can comment on or make changes to this bug.